Data Fields
_spi_handle Struct Reference
Peripheral Driver » HAL Driver » SPI » Structures » SPI handle

SPI handle Structure definition. More...

`#include <gr55xx_hal_spi.h>`

## Data Fields
ssi_regs_t * | p_instance
spi_init_t | init
uint8_t * | p_tx_buffer
__IO uint32_t | tx_xfer_size
__IO uint32_t | tx_xfer_count
uint8_t * | p_rx_buffer
__IO uint32_t | rx_xfer_size
__IO uint32_t | rx_xfer_count
void(* | write_fifo )(struct _spi_handle *p_spi)
void(* | read_fifo )(struct _spi_handle *p_spi)
void(* | read_write_fifo )(struct _spi_handle *p_spi)
dma_handle_t * | p_dmatx
dma_handle_t * | p_dmarx
__IO hal_lock_t | lock
__IO hal_spi_state_t | state
__IO uint32_t | error_code
uint32_t | timeout
uint32_t | retention [8]

## Detailed Description

SPI handle Structure definition.

## Field Documentation

## ◆ error_code

__IO uint32_t _spi_handle::error_code

SPI Error code

## ◆ init

spi_init_t _spi_handle::init

SPI communication parameters

## ◆ lock

__IO hal_lock_t _spi_handle::lock

Locking object

## ◆ p_dmarx

dma_handle_t* _spi_handle::p_dmarx

SPI Rx DMA Handle parameters

## ◆ p_dmatx

dma_handle_t* _spi_handle::p_dmatx

SPI Tx DMA Handle parameters

## ◆ p_instance

ssi_regs_t* _spi_handle::p_instance

SPI registers base address

## ◆ p_rx_buffer

uint8_t* _spi_handle::p_rx_buffer

Pointer to SPI Rx transfer Buffer

## ◆ p_tx_buffer

uint8_t* _spi_handle::p_tx_buffer

Pointer to SPI Tx transfer Buffer

## ◆ read_fifo

void(* _spi_handle::read_fifo) (struct _spi_handle *p_spi)

Pointer to SPI Rx transfer FIFO read function

## ◆ read_write_fifo

void(* _spi_handle::read_write_fifo) (struct _spi_handle *p_spi)

Pointer to SPI transfer FIFO read and write function

## ◆ retention

uint32_t _spi_handle::retention[8]

SPI important register information.

## ◆ rx_xfer_count

__IO uint32_t _spi_handle::rx_xfer_count

SPI Rx Transfer Counter

## ◆ rx_xfer_size

__IO uint32_t _spi_handle::rx_xfer_size

SPI Rx Transfer size

## ◆ state

__IO hal_spi_state_t _spi_handle::state

SPI communication state

## ◆ timeout

uint32_t _spi_handle::timeout

Timeout for the SPI memory access

## ◆ tx_xfer_count

__IO uint32_t _spi_handle::tx_xfer_count

SPI Tx Transfer Counter

## ◆ tx_xfer_size

__IO uint32_t _spi_handle::tx_xfer_size

SPI Tx Transfer size

## ◆ write_fifo

void(* _spi_handle::write_fifo) (struct _spi_handle *p_spi)

Pointer to SPI Tx transfer FIFO write function

The documentation for this struct was generated from the following file:

- gr55xx_hal_spi.h